Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.securechannel
Interface ChannelDecisionManager

All Known Implementing Classes:
  ChannelDecisionManagerImpl

    public interface ChannelDecisionManager

Decides whether a web channel provides sufficient security.

If necessary due to the nature of the redirection, implementations should store the original destination of the request in `AbstractProcessingFilter.ACEGI_SECURITY_TARGET_URL_KEY`.

Version:
  $Id: ChannelDecisionManager.java,v 1.4 2005/11/17 00:55:50 benalex Exp $
Author:
  Ben Alex

Method Summary
`void` | `decide(FilterInvocation invocation, ConfigAttributeDefinition config)` Decided whether the presented `FilterInvocation` provides the appropriate level of channel security based on the requested `ConfigAttributeDefinition`.
`boolean` | `supports(ConfigAttribute attribute)` Indicates whether this `ChannelDecisionManager` is able to process the passed `ConfigAttribute`.

Method Detail

### decide

    void decide(FilterInvocation invocation,
                ConfigAttributeDefinition config)
                throws IOException,
                       javax.servlet.ServletException

  Decided whether the presented `FilterInvocation` provides the appropriate level of channel security based on the requested `ConfigAttributeDefinition`.

  Throws:
    `IOException`
    `javax.servlet.ServletException`

### supports

    boolean supports(ConfigAttribute attribute)

  Indicates whether this `ChannelDecisionManager` is able to process the passed `ConfigAttribute`.

  This allows the `ChannelProcessingFilter` to check every configuration attribute can be consumed by the configured `ChannelDecisionManager`.

  Parameters:
    `attribute` - a configuration attribute that has been configured against the `ChannelProcessingFilter`
  Returns:
    true if this `ChannelDecisionManager` can support the passed configuration attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.